# $Revision: 1.27 $, $Date: 2007/08/30 10:50:31 $
#
# TODO
#	- find a way to make it work on startup (not initrd imo, at kernel
#		time - initramfs) + maybe some init.d
#	- check initramfs (upgrade geninitrd maybe), cause splashutils can
#		make use of it
#	- update dirs in scripts
#
Summary:	Utilities for setting fbsplash
Summary(pl.UTF-8):	Narzędzia do ustawiania fbsplash
Name:		splashutils
Version:	1.3
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dev.gentoo.org/~spock/projects/gensplash/archive/%{name}-%{version}.tar.bz2
# Source0-md5:	c7c92b98e34b860511aa57bd29d62f76
%define		_misc_ver	0.1.5
Source1:	http://dev.gentoo.org/~spock/projects/gensplash/current/misc%{name}-%{_misc_ver}.tar.bz2
# Source1-md5:	20fc3ed2407edc8cd97623bf7f1c5c7b
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-compile.patch
Patch2:		%{name}-pld-paths.patch
URL:		http://dev.gentoo.org/~spock/projects/gensplash/
BuildRequires:	freetype-static
BuildRequires:	glibc-static
BuildRequires:	klibc-static >= 1.1.1-1
BuildRequires:	libjpeg-static
BuildRequires:	libpng-static
BuildRequires:	linux-libc-headers >= 7:2.6.9.1-1.5
BuildRequires:	zlib-static
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Suggests:	fbsplash-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for setting fbsplash.

%description -l pl.UTF-8
Narzędzia do ustawiania fbsplash.

%prep
%setup -q -a1
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
./configure \
	--with-fbsplash \
	--with-fifo=/var/run/splashutils/.splash \
	--with-png \
	--with-themedir=%{_sysconfdir}/splash \
	--with-ttf \
	--with-ttfkern

%{__make} objdir

%{__make} splash_kern \
	CC="%{__cc}"

%{__make} splash_user \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Os"

%{__make} -C miscsplashutils-%{_misc_ver} \
	CFLAGS="%{rpmcflags} -Os -I/usr/include/freetype2" \
	LIBDIR="%{_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/splash,/etc/rc.d/init.d,/etc/sysconfig} \
	    $RPM_BUILD_ROOT/var/run/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install miscsplashutils-%{_misc_ver}/{fbres,fbtruetype/{fbtruetype,fbtruetype.static}} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/fbsplash
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/fbsplash

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add fbsplash

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del fbsplash
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README docs/*
%dir %{_sysconfdir}/splash
%dir %attr(755,root,root) /var/run/splashutils
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /sbin/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/fbsplash
%attr(754,root,root) /etc/rc.d/init.d/fbsplash

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: splashutils.spec,v $
Revision 1.27  2007/08/30 10:50:31  czarny
- all splashutils themes provide fbsplash-theme
- splashutils suggests fbsplash-theme

Revision 1.26  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.24  2006/12/13 14:09:44  czarny
- rel up to 1
- added pld-path patch
- added /var/run/splashutils dir - to use splash in daemon mode
- works with geninitrd on devel branch

Revision 1.23  2006/12/07 18:31:34  shadzik
- cosmetics

Revision 1.22  2006/12/07 17:36:31  czarny
- up to 1.3
- staticly linked agains libc
- patches to make it work
- todo added

Revision 1.21  2006/04/20 17:44:58  glen
- fix chkconfig deps, use existing Group

Revision 1.20  2006/04/03 22:05:53  blekot
- updated to 1.1.9.10
- updated makefile patch

Revision 1.19  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.18  2005/12/01 01:00:10  pluto
- build fixed.

Revision 1.17  2005/06/14 00:54:44  pluto
- splash_kern builds with klibc now (truetype support nfy).
- release 0.2.

Revision 1.16  2005/06/13 17:57:15  pluto
- updated to 1.1.9.6, use klibc, nfy.

Revision 1.15  2005/04/06 18:51:30  darekr
- simplified %setup

Revision 1.14  2005/02/09 17:50:45  havner
- 0.9.1 (why it lies in archive dir??)

Revision 1.13  2005/01/09 18:10:57  qboosh
- cleanups

Revision 1.12  2005/01/09 11:04:59  havner
- this config can be user readable

Revision 1.11  2005/01/09 11:00:16  havner
- init scripts

Revision 1.10  2005/01/09 10:25:00  havner
- this way?

Revision 1.9  2005/01/09 10:20:11  havner
- amd64 fix

Revision 1.8  2005/01/08 06:42:07  havner
- epoch to llh

Revision 1.7  2005/01/08 04:33:21  havner
- makefile patch updated, neither klibc nor kernel headers required
  (llh patched)

Revision 1.6  2005/01/08 03:47:14  havner
- makefile patch, use distro static libs
- still have to do something with included klibc, will dietlibc be enough?

Revision 1.5  2004/12/27 04:17:00  havner
- more docs
- BTW, who has gentoo, confess :-), how does silent mode looks like?

Revision 1.4  2004/12/27 03:57:58  havner
- TODO

Revision 1.3  2004/12/27 03:53:51  havner
- miscsplashutils added
- cosmetics
- stil NFY

Revision 1.2  2004/12/27 02:02:12  havner
- fixed rel
- /etc/splash dir
- cosmetics

Revision 1.1  2004/10/22 14:22:21  averne
- NFY!!
- it should link with own klibc/libjpeg/libpng
- it should require some P: from kernel/kernel-headers
